Last Comment Bug 550184 - vorbis_analysis_headerout calls oggpack_writeclear with uninitialized ogb if !v->backend_state
: vorbis_analysis_headerout calls oggpack_writeclear with uninitialized ogb if ...
Status: RESOLVED FIXED
: coverity
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: x86 All
: -- major (vote)
: ---
Assigned To: cajbir (:cajbir)
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-04 06:56 PST by timeless
Modified: 2010-03-25 18:42 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.2-fixed
.9-fixed


Attachments
Fix (2.66 KB, patch)
2010-03-04 13:41 PST, cajbir (:cajbir)
cpearce: review+
mbeltzner: approval1.9.2.2+
mbeltzner: approval1.9.1.9+
Details | Diff | Splinter Review

Description timeless 2010-03-04 06:56:38 PST
567  	int vorbis_analysis_headerout(vorbis_dsp_state *v,
568  	                              vorbis_comment *vc,
569  	                              ogg_packet *op,
570  	                              ogg_packet *op_comm,
571  	                              ogg_packet *op_code){

574  	  oggpack_buffer opb;
575  	  private_state *b=v->backend_state;

577  	  if(!b){
578  	    ret=OV_EFAULT;
579  	    goto err_out;

630  	 err_out:
631  	  oggpack_writeclear(&opb);
Comment 1 cajbir (:cajbir) 2010-03-04 13:29:14 PST
Raised as trac ticket #1656 in the Xiph bug system:

https://trac.xiph.org/ticket/1656
Comment 2 cajbir (:cajbir) 2010-03-04 13:34:15 PST
Patch suggested by Tim Terryberry:

http://pastebin.com/SzAsqYaM
Comment 3 cajbir (:cajbir) 2010-03-04 13:41:30 PST
Created attachment 430413 [details] [diff] [review]
Fix

Patch attached based on Tim's patch (Apologies for spelling Tim's last name wrong in the previous comment).
Comment 4 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2010-03-05 02:08:54 PST
http://hg.mozilla.org/mozilla-central/rev/d63280421a8d

We should get this on branch eh?
Comment 5 Mike Beltzner [:beltzner, not reading bugmail] 2010-03-05 13:28:56 PST
Comment on attachment 430413 [details] [diff] [review]
Fix

a=beltzner for 1.9.2.2 and 1.9.1.9
Comment 7 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2010-03-09 16:07:39 PST
Thanks timeless!
Comment 8 Aakash Desai [:aakashd] 2010-03-22 11:36:52 PDT
Is there a way to test this?
Comment 9 cajbir (:cajbir) 2010-03-25 18:42:15 PDT
Not that I'm aware of.

Note You need to log in before you can comment on or make changes to this bug.